/*******************************
 *          __                   
 *         /\ \                  
 *  __  _  \_\ \     __    ___   
 * /\ \/'\ /'_' \  /'__'\ /'___\ 
 * \/>  <//\ \ \ \/\  __//\ \__/ 
 *  /\_/\_\ \___,_\ \____\ \____\
 *  \//\/_/\/__,_ /\/____/\/____/
 * 
 * Author: 	declis
 * E-Mail:	declis@xdec.de
 ********************************/ 

#ifndef CONST_DATA_H_
#define CONST_DATA_H_

// start/offset for edge data in obj_edges[][2]
#define CUBE_OFF		0
#define OKTA_OFF		36
#define IKO_OFF			24
#define DODE_OFF		42

// Dot positions of 3d objects in obj_3d[][3] --------------------
#define CUBE_DOTS_S		0
#define CUBE_DOTS_E		7
#define IKO_DOTS_S		25
#define IKO_DOTS_E		36
#define OKTA_DOTS_S		37
#define OKTA_DOTS_E		42
#define DODE_DOTS_S		43
#define DODE_DOTS_E		62
// ---------------------------------------------------------------	

// Edge positions of 3d objects in obj_edges[][2] ----------------
#define CUBE_EDGES_S	0
#define CUBE_EDGES_E	11
#define IKO_EDGES_S		24
#define IKO_EDGES_E		53
#define OKTA_EDGES_S	54
#define OKTA_EDGES_E	65
#define DODE_EDGES_S	66
#define DODE_EDGES_E	95
// ---------------------------------------------------------------	

// Length data for some 3d objects (Cube, Ikosaeder)--------------
#define C_LEN		30			// Cube Length (0,0,0) +C_LEN to -C_LEN
#define IKO_M		20			// Ikosaeder middle point
#define DODE_M		IKO_M
// ---------------------------------------------------------------	

const schar obj_3d[][3]={
-C_LEN,-C_LEN,-C_LEN,			// Cube 00
+C_LEN,-C_LEN,-C_LEN,			// Cube 01
+C_LEN,-C_LEN,+C_LEN,			// Cube 02
-C_LEN,-C_LEN,+C_LEN,			// Cube 03
-C_LEN,+C_LEN,-C_LEN,			// Cube 04
+C_LEN,+C_LEN,-C_LEN,			// Cube 05
+C_LEN,+C_LEN,+C_LEN,			// Cube 06
-C_LEN,+C_LEN,+C_LEN,			// Cube 07
-C_LEN+25,-C_LEN+15,-C_LEN,		// X 08
-C_LEN+40,-C_LEN+40,-C_LEN,		// X 09
-C_LEN+25,-C_LEN+40,-C_LEN,		// X 10
-C_LEN+40,-C_LEN+15,-C_LEN,		// X 11
-C_LEN+25,-C_LEN+15,-C_LEN,		// D 12
-C_LEN+25,-C_LEN+40,-C_LEN,		// D 13
-C_LEN+40,-C_LEN+27,-C_LEN,		// D 14
-C_LEN+25,-C_LEN+15,-C_LEN,		// E 15
-C_LEN+25,-C_LEN+40,-C_LEN,		// E 16
-C_LEN+40,-C_LEN+15,-C_LEN,		// E 17
-C_LEN+40,-C_LEN+27,-C_LEN,		// E 18
-C_LEN+40,-C_LEN+40,-C_LEN,		// E 19
-C_LEN+25,-C_LEN+27,-C_LEN,		// E 20
-C_LEN+25,-C_LEN+15,-C_LEN,		// C 21
-C_LEN+25,-C_LEN+40,-C_LEN,		// C 22
-C_LEN+40,-C_LEN+15,-C_LEN,		// C 23
-C_LEN+40,-C_LEN+40,-C_LEN,		// C 24
-IKO_M,-C_LEN,0,				// Ikosaeder 25
+IKO_M,-C_LEN,0,				// Ikosaeder 26
0,-IKO_M,+C_LEN,				// Ikosaeder 27
0,-IKO_M,-C_LEN,				// Ikosaeder 28
+C_LEN,0,+IKO_M,				// Ikosaeder 29
+C_LEN,0,-IKO_M,				// Ikosaeder 30
-C_LEN,0,-IKO_M,				// Ikosaeder 31
-C_LEN,0,+IKO_M,				// Ikosaeder 32
0,+IKO_M,+C_LEN,				// Ikosaeder 33
0,+IKO_M,-C_LEN,				// Ikosaeder 34
-IKO_M,+C_LEN,0,				// Ikosaeder 35
+IKO_M,+C_LEN,0,				// Ikosaeder 36
-C_LEN,0,-C_LEN,				// Oktaeder 37
+C_LEN,0,-C_LEN,				// Oktaeder 38
+C_LEN,0,+C_LEN,				// Oktaeder 39
-C_LEN,0,+C_LEN,				// Oktaeder 40
0,-C_LEN-15,0,					// Oktaeder 41
0,+C_LEN+15,0,					// Oktaeder 42
0,-DODE_M,-(C_LEN+DODE_M),		// Dodekaeder 43
0,+DODE_M,-(C_LEN+DODE_M),		// Dodekaeder 44
+C_LEN,-C_LEN,-C_LEN,			// Dodekaeder 45
+C_LEN,+C_LEN,-C_LEN,			// Dodekaeder 46
-C_LEN,+C_LEN,-C_LEN,			// Dodekaeder 47
-C_LEN,-C_LEN,-C_LEN,			// Dodekaeder 48
+C_LEN+DODE_M,0,-DODE_M,		// Dodekaeder 49
-(C_LEN+DODE_M),0,-DODE_M,		// Dodekaeder 50
+DODE_M,+DODE_M+C_LEN,0,		// Dodekaeder 51
-DODE_M,+DODE_M+C_LEN,0,		// Dodekaeder 52
-DODE_M,-(C_LEN+DODE_M),0,		// Dodekaeder 53
+DODE_M,-(C_LEN+DODE_M),0,		// Dodekaeder 54
+C_LEN+DODE_M,0,+DODE_M,		// Dodekaeder 55
-(C_LEN+DODE_M),0,+DODE_M,		// Dodekaeder 56
+C_LEN,-C_LEN,+C_LEN,			// Dodekaeder 57
+C_LEN,+C_LEN,+C_LEN,			// Dodekaeder 58
-C_LEN,+C_LEN,+C_LEN,			// Dodekaeder 59
-C_LEN,-C_LEN,+C_LEN,			// Dodekaeder 60
0,-DODE_M,+C_LEN+DODE_M,		// Dodekaeder 61
0,+DODE_M,+C_LEN+DODE_M			// Dodekaeder 62
};	

// edges (lines between points)
const uchar obj_edges[][2]={
0+CUBE_OFF,1+CUBE_OFF,	// Cube 	00
1+CUBE_OFF,2+CUBE_OFF,	// Cube 	01
2+CUBE_OFF,3+CUBE_OFF,	// Cube 	02
3+CUBE_OFF,0+CUBE_OFF,	// Cube		03
4+CUBE_OFF,5+CUBE_OFF,	// Cube 	04
5+CUBE_OFF,6+CUBE_OFF,	// Cube 	05
6+CUBE_OFF,7+CUBE_OFF,	// Cube 	06
7+CUBE_OFF,4+CUBE_OFF,	// Cube 	07
0+CUBE_OFF,4+CUBE_OFF,	// Cube 	08
1+CUBE_OFF,5+CUBE_OFF,	// Cube 	09
2+CUBE_OFF,6+CUBE_OFF,	// Cube 	10
3+CUBE_OFF,7+CUBE_OFF,	// Cube 	11
8+CUBE_OFF,9+CUBE_OFF,	// X		12
10,11,					// X		13
12,13,					// D		14
12,14,					// D		15
13,14,					// D		16
15,16,					// E		17
15,17,					// E		18
20,18,					// E		19
16,19,					// E		20
21,22,					// C		21
21,23,					// C		22
22,24,					// C		23
1+IKO_OFF,2+IKO_OFF,	// Ikosaeder 24
2+IKO_OFF,3+IKO_OFF,	// Ikosaeder 25
3+IKO_OFF,1+IKO_OFF,	// Ikosaeder 26
2+IKO_OFF,4+IKO_OFF,	// Ikosaeder 27
4+IKO_OFF,1+IKO_OFF,	// Ikosaeder 28
2+IKO_OFF,5+IKO_OFF,	// Ikosaeder 29
5+IKO_OFF,6+IKO_OFF,	// Ikosaeder 30
6+IKO_OFF,2+IKO_OFF,	// Ikosaeder 31
1+IKO_OFF,7+IKO_OFF,	// Ikosaeder 32
7+IKO_OFF,8+IKO_OFF,	// Ikosaeder 33
8+IKO_OFF,1+IKO_OFF,	// Ikosaeder 34
3+IKO_OFF,9+IKO_OFF,	// Ikosaeder 35
3+IKO_OFF,5+IKO_OFF,	// Ikosaeder 36
3+IKO_OFF,8+IKO_OFF,	// Ikosaeder 37
4+IKO_OFF,6+IKO_OFF,	// Ikosaeder 38
4+IKO_OFF,7+IKO_OFF,	// Ikosaeder 39
9+IKO_OFF,8+IKO_OFF,	// Ikosaeder 40
9+IKO_OFF,5+IKO_OFF,	// Ikosaeder 41
4+IKO_OFF,10+IKO_OFF,	// Ikosaeder 42
10+IKO_OFF,7+IKO_OFF,	// Ikosaeder 43
7+IKO_OFF,11+IKO_OFF,	// Ikosaeder 44
8+IKO_OFF,11+IKO_OFF,	// Ikosaeder 45
10+IKO_OFF,6+IKO_OFF,	// Ikosaeder 46
6+IKO_OFF,12+IKO_OFF,	// Ikosaeder 47
5+IKO_OFF,12+IKO_OFF,	// Ikosaeder 48
12+IKO_OFF,9+IKO_OFF,	// Ikosaeder 49
9+IKO_OFF,11+IKO_OFF,	// Ikosaeder 50
11+IKO_OFF,10+IKO_OFF,	// Ikosaeder 51
10+IKO_OFF,12+IKO_OFF,	// Ikosaeder 52
11+IKO_OFF,12+IKO_OFF,	// Ikosaeder 53
1+OKTA_OFF,2+OKTA_OFF,	// Oktaeder 54
2+OKTA_OFF,3+OKTA_OFF,	// Oktaeder 55
3+OKTA_OFF,4+OKTA_OFF,	// Oktaeder 56
4+OKTA_OFF,1+OKTA_OFF,	// Oktaeder 57
1+OKTA_OFF,5+OKTA_OFF,	// Oktaeder 58
2+OKTA_OFF,5+OKTA_OFF,	// Oktaeder 59
3+OKTA_OFF,5+OKTA_OFF,	// Oktaeder 60
4+OKTA_OFF,5+OKTA_OFF,	// Oktaeder 61
1+OKTA_OFF,6+OKTA_OFF,	// Oktaeder 62
2+OKTA_OFF,6+OKTA_OFF,	// Oktaeder 63
3+OKTA_OFF,6+OKTA_OFF,	// Oktaeder 64
4+OKTA_OFF,6+OKTA_OFF,	// Oktaeder 65
1+DODE_OFF,2+DODE_OFF,	// Dodekaeder 66
2+DODE_OFF,4+DODE_OFF,	// Dodekaeder 67
4+DODE_OFF,7+DODE_OFF,	// Dodekaeder 68
7+DODE_OFF,3+DODE_OFF,	// Dodekaeder 69
3+DODE_OFF,1+DODE_OFF,	// Dodekaeder 70
2+DODE_OFF,5+DODE_OFF,	// Dodekaeder 71
5+DODE_OFF,8+DODE_OFF,	// Dodekaeder 72
8+DODE_OFF,6+DODE_OFF,	// Dodekaeder 73
6+DODE_OFF,1+DODE_OFF,	// Dodekaeder 74
4+DODE_OFF,9+DODE_OFF,	// Dodekaeder 75
9+DODE_OFF,10+DODE_OFF,	// Dodekaeder 76
10+DODE_OFF,5+DODE_OFF,	// Dodekaeder 77
6+DODE_OFF,11+DODE_OFF,	// Dodekaeder 78
11+DODE_OFF,12+DODE_OFF,// Dodekaeder 79
12+DODE_OFF,3+DODE_OFF,	// Dodekaeder 80
7+DODE_OFF,13+DODE_OFF,	// Dodekaeder 81
8+DODE_OFF,14+DODE_OFF,	// Dodekaeder 82
9+DODE_OFF,16+DODE_OFF,	// Dodekaeder 83
10+DODE_OFF,17+DODE_OFF,// Dodekaeder 84
11+DODE_OFF,18+DODE_OFF,// Dodekaeder 85
12+DODE_OFF,15+DODE_OFF,// Dodekaeder 86
13+DODE_OFF,16+DODE_OFF,// Dodekaeder 87
16+DODE_OFF,20+DODE_OFF,// Dodekaeder 88
20+DODE_OFF,19+DODE_OFF,// Dodekaeder 89
19+DODE_OFF,15+DODE_OFF,// Dodekaeder 90
15+DODE_OFF,13+DODE_OFF,// Dodekaeder 91
20+DODE_OFF,17+DODE_OFF,// Dodekaeder 92
17+DODE_OFF,14+DODE_OFF,// Dodekaeder 93
14+DODE_OFF,18+DODE_OFF,// Dodekaeder 94
18+DODE_OFF,19+DODE_OFF	// Dodekaeder 95
}; 

// offset in dots array (positions)
const uchar letter_dots_pos[][2]={
8,11,	// X
12,14,	// D
15,20,	// E
21,24	// C
};

// offset in edges array
const uchar letter_edges_pos[][2]={
12,13,	// X
14,16,	// D
17,20,	// E
21,23	// C
};

const uchar scroller_01[]={"You're watching wild stuff! For the love of limited hardware and oldskool || Greetings: ** Laura (: ** JJAM ** Hugo Elias ** lft ** "}; 
const uchar scroller_03[]={"\\O/ \\o/ Oh NO! The END! Thanks for watching, have fun! \\o/ \\O/"};
const uchar string_00[]={"Revision 2015"};
const uchar string_02[]={"A dead pixel! (230,163) Sry :]"};
const uchar string_05[][40]={"MSP430G2553 (16k Flash/512B RAM/16MHz)",
							 "ILI9341 TFT-Display  (16bit,240x320-1)",
							 "       *A Dead Pixel* by declis       "};
const uchar string_06[]={"THE END"};
const uchar string_07[]={"MORE"};
const uchar string_08[]={"IS"};
const uchar string_09[]={"POSSIBLE"};

//const uint color_pal[]={0xFFE0,0xF800,0xFFFF,0x07E0,0xF81F,0x001F};

// 64x64 (64x62 real)
const uchar rev_logo[]= { 
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x3F,0x3F,0x1F,0x9F,0x8F,0x8F,0x07,0x07,0x07,0x03,0x03,0x03,0x03,0x03,0x01,0x01,0xF1,0xF1,0xF1,0xF3,0xF3,0xE3,0xE3,0xE3,0xE7,0x07,0x07,0x0F,0x0F,0x0F,0x1F,0x1F,0x1F,0x0F,0x0F,0x1F,0x3F,0x7F,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x3F,0x0F,0x87,0xC3,0xE1,0xF0,0xF8,0xFC,0xFE,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x7E,0x7E,0x3F,0x3F,0x3F,0x3F,0x1F,0x1F,0x1F,0x1F,0x1F,0x3F,0x3F,0x3F,0x3F,0x7F,0x7F,0xFE,0xFC,0xFC,0xFF,0xFF,0xFF,0xFF,0xFE,0xFC,0xF8,0xF0,0xE0,0xC0,0x80,0x00,0x01,0x07,0x0F,0x1F,0x7F,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0x1F,0x07,0x81,0xF0,0xFC,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x3F,0x0F,0x07,0x03,0xB9,0xFD,0xFC,0xFE,0xFC,0xF8,0xF8,0xFC,0xFC,0xFC,0xFC,0xFC,0xFC,0xC0,0xC0,0xC0,0x80,0x00,0x80,0xC0,0xE0,0xC0,0x81,0x03,0x87,0x8F,0x1F,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xF0,0x80,0x00,0x00,0x00,0x07,0x1F,0xFF,
0xFF,0x7F,0x00,0x00,0x10,0x1F,0x1F,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0x03,0x00,0x00,0x00,0xC0,0xCE,0xCF,0xDF,0xFF,0xFF,0xFF,0xFF,0x3F,0x0F,0xC7,0xE3,0xF3,0xF3,0xF3,0xF3,0xE7,0x0F,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x06,0x00,0x01,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0xC0,0xC1,
0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x38,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xCF,0x87,0x07,0x00,0x00,0x01,0x03,0xE7,0xE7,0xE7,0xE7,0xF3,0xF8,0xFC,0x7F,0x7F,0x1F,0x0F,0x1F,0x1F,0x3F,0x0F,0x00,0x00,0x00,0xC0,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xC0,0x80,0x00,0x00,0x80,0xFC,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFC,0xF0,0xC0,0x00,0x00,0x00,0x01,0x07,0x1F,0x3F,0x7F,0xFF,0xFF,0xFE,0xF8,0xF1,0xE7,0xCF,0xDF,0x9F,0x3F,0x3F,0x7F,0x7F,0x7E,0xFE,0xFE,0xFF,0x1F,0x1F,0x1F,0x1F,0x1F,0x0C,0x00,0x00,0x00,0x80,0xC0,0xC0,0xE0,0xF0,0xF8,0xFC,0xFF,0xFF,0xFF,0x3F,0x1F,0x3F,0x7F,0x7F,0x1F,0x07,0xC0,0xE0,0xFC,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFC,0xF0,0xA0,0x00,0x00,0x00,0x00,0x01,0x33,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFE,0xFE,0x7E,0x7C,0x7C,0x7C,0x7C,0x7E,0x7E,0x7E,0x7E,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x7F,0x3F,0x1F,0x8F,0x86,0xC0,0xE0,0xF0,0xF8,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFE,0xFC,0xFC,0xF8,0xF9,0xF1,0xF1,0xF3,0xE3,0xE3,0xE3,0xE3,0xE1,0xE0,0x00,0x00,0x00,0xE0,0xE0,0xE0,0xE0,0xE0,0xE0,0xF0,0xF1,0xF1,0xF9,0xF8,0xFC,0xFC,0xFE,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
};

// 91x120
const uchar face[]= {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,0x60,0x30,0x18,0x18,0x0C,0x0C,0x04,0x06,0x02,0x02,0x02,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x01,0x01,0x01,0x01,0x01,0x03,0x03,0x02,0x02,0x06,0x06,0x0C,0x0C,0x08,0x18,0x30,0x30,0xE0,0xC0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xC0,0xE0,0x38,0x0E,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xE7,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0xE0,0x3C,0x0F,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0xC0,0xE0,0xE0,0xE0,0xF0,0xF0,0xF0,0x70,0x78,0x78,0x38,0x30,0x70,0x70,0x70,0xE0,0xE0,0xC0,0x80,0x00,0x00,0x00,0x00,0x0F,0x1C,0x38,0x20,0x60,0x40,0xC0,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F,0x0F,0x0F,0x07,0xC7,0x83,0xA1,0xE1,0xC0,0xF0,0xE0,0xF0,0xF8,0xC0,0xE0,0xF8,0xE0,0xF0,0xE0,0xC0,0xC1,0xE1,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0F,0xFC,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,0x40,0x40,0x40,0xC0,0xC0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0xFF,0x7C,0x3E,0x1F,0x1F,0x0F,0x0F,0x1F,0x1E,0x3C,0x38,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,0xFC,0xFC,0x80,0x00,0x02,0x07,0x3F,0x1F,0x17,0x1B,0x1F,0x0F,0x0D,0x0C,0x0C,0x0E,0x0B,0x07,0x05,0x01,0x01,0x01,0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x7F,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0xF7,0xE3,0x81,0x3D,0xFE,0xF2,0x9A,0x0A,0x1A,0x3E,0xFF,0xF7,0xDC,0xF8,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x1F,0x38,0x70,0xF8,0xF8,0xFC,0xF8,0xF8,0x78,0x38,0x28,0xB8,0x18,0x80,0xC0,0x78,0x7C,0x7F,0xFF,0xFF,0x7F,0x7F,0x7E,0x30,0x60,0xE0,0xC0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFC,0x0E,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x1E,0x07,0x61,0x71,0x3F,0x1C,0x08,0x0B,0x0E,0x0C,0x38,0x3C,0xBF,0xEF,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x07,0x07,0xFF,0x01,0x00,0x00,0x00,0x7F,0xEF,0xF0,0x70,0x70,0x20,0x0C,0x0E,0x8E,0x8F,0x8F,0x0F,0x07,0x18,0x08,0x0F,0x0F,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x0E,0x38,0x70,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x1E,0x38,0x63,0xC7,0xCC,0x4C,0xCC,0xE0,0xF0,0x1C,0x06,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0xC0,0x00,0x00,0x00,0x00,0x00,0xF1,0x3F,0x06,0x06,0xC7,0xE1,0x61,0x61,0x31,0xB1,0x91,0xD1,0xF3,0xE2,0xE6,0x4C,0x18,0xB0,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x07,0xFC,0xFC,0x86,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x07,0x1C,0xF0,0xC0,0x00,0x03,0x1F,0xF0,0x8F,0x8F,0x87,0x82,0xC3,0x43,0x61,0x21,0x30,0x18,0x08,0x0C,0x06,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,0xC0,0x60,0x30,0x30,0x18,0x0C,0x06,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xB8,0xFE,0xFB,0x88,0xFF,0x38,0xF8,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x07,0x1C,0x78,0xE0,0x81,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0xC0,0xE0,0x60,0x30,0x18,0x18,0x0C,0x0C,0x06,0x03,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xA0,0xBC,0xFF,0xF2,0xCE,0xFF,0x0F,0xFE,0xFE,0xCF,0xFE,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x03,0x06,0x1C,0x38,0x60,0x60,0xC0,0xE0,0xA0,0xB0,0x98,0x98,0xC8,0xCC,0xCC,0xC4,0x86,0x02,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x31,0x79,0x4F,0x0F,0x5F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xE0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFE,0xE3,0xBF,0x9D,0x9C,0x1C,0x00,0x00,0x00,0x07,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x1F,0x3D,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xE0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0C,0x1F,0x01,0x07,0x0F,0x0C,0x0C,0x00,0x00,0x00,0x01,0x07,0x1C,0x70,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x03,0x0E,0x38,0xE0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xF8,0xE0,0x80,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x06,0x0C,0x18,0x10,0x30,0x20,0x20,0x60,0x60,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0xC0,0xC0,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x8F,0x8F,0xCF,0xCF,0x47,0x41,0x47,0x4F,0x5F,0x7F,0x3F,0x3F,0x1F,0x0F,0x0E,
};

#endif /*CONST_DATA_H_*/
